Package org.kapott.hbci.GV_Result

# Class GVRInfoList

java.lang.Object
org.kapott.hbci.GV_Result.HBCIJobResultImpl
org.kapott.hbci.GV_Result.GVRInfoList

All Implemented Interfaces:
  `Serializable`, `HBCIJobResult`

public final class GVRInfoList extends HBCIJobResultImpl
Rückgabedaten für die Abfrage verfügbarer Kreditinstitutsinformationen. Es wird eine Liste mit allen verfügbaren Informationen gespeichert, wobei jeder Eintrag Daten über genau eine KI-Info enthält.

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`GVRInfoList.Info`
Daten über eine einzelne verfügbare Information

## Field Summary

### Fields inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`globStatus, jobStatus`

## Constructor Summary

Constructors
Constructor
Description
`GVRInfoList()`

## Method Summary

Modifier and Type
Method
Description
`void`
`addEntry(GVRInfoList.Info entry)`
`GVRInfoList.Info[]`
`getEntries()`
Gibt Daten über alle abfragbaren Kreditinstitutsinformationen zurück
`String`
`toString()`

### Methods inherited from class org.kapott.hbci.GV_Result.HBCIJobResultImpl

`getDialogId, getGlobStatus, getJobId, getJobStatus, getMsgNum, getParentJob, getPassport, getResultData, getRetNumber, getRetVal, getSegNum, isOK, setParentJob, storeResult`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### GVRInfoList

public GVRInfoList()

## Method Details

### addEntry

public void addEntry(GVRInfoList.Info entry)

### getEntries

public GVRInfoList.Info[] getEntries()
Gibt Daten über alle abfragbaren Kreditinstitutsinformationen zurück

Returns:
  Array, wobei jeder Eintrag eine solche Information beschreibt

### toString

public String toString()

Overrides:
  `toString` in class `HBCIJobResultImpl`